Subject: [manet] olsr MPR re-calculation

From: manet user <[email-masked]>
Date: Sun, 2 May 2004 11:09:08 -0700 (PDT)

Hi,
 
According to RFC 3626 section 8.5, MPR set is re-calculated when neighbor loss or appearance is detected, or when a change in 2-hop neighborhood is detected. 2-hop neighborhood change is detected when a 2-hop nbr tuple expires or is deleted according to sec 8.2.
 
According to these rules, addition of a 2-hop nbr tuple will not trigger MPR re-calculation. This does not seem to be correct. Please comment if my understanding is incorrect. 
 
In a MANET simulation, if two hop nbrs appear later in time, it would be changing the reachability of neighbor nodes, and MPR set should be re-calculated according to current reachability status.
 
Your comments will be of great help. Thanks in advance.
-MU

---------------------------------
Do you Yahoo!?
Win a $20,000 Career Makeover at Yahoo! HotJobs